## nextcloud-desktop 3.16.5-20250613.191603.930e6e637-1.0~noble1trisquel4

=== debian/changelog ===
nextcloud-desktop (3.16.5-20250613.191603.930e6e637-1.0~noble1trisquel4) ecne-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 14 Jun 2025 00:44:53 +0000

nextcloud-desktop (3.16.5-20250613.191603.930e6e637-1.0~noble1) noble; urgency=medium

  * Merge tag 'v3.16.5' into HEAD

 -- Drone User <drone@noemail.invalid>  Fri, 13 Jun 2025 19:16:25 +0000

nextcloud-desktop (3.16.5-20250602.145422.930e6e637-1.0~noble1) noble; urgency=medium

  * chore: prepare for release 3.16.4

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 2 Jun 2025 16:54:22 +0200

nextcloud-desktop (3.16.4-20250602.145045.61f2119f5-1.0~noble1) noble; urgency=medium

  * Merge pull request #8332 from nextcloud/backport/8330/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 16:50:45 +0200

nextcloud-desktop (3.16.4-20250602.135917.209530ae9-1.0~noble1) noble; urgency=medium

  * fix(lockfilejobs): ensure using correct file path

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 2 Jun 2025 15:59:17 +0200

nextcloud-desktop (3.16.4-20250602.131422.efee8ed49-1.0~noble1) noble; urgency=medium

  * Merge pull request #8328 from nextcloud/backport/8290/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 2 Jun 2025 15:14:22 +0200

nextcloud-desktop (3.16.4-20250521.131313.b34408aff-1.0~noble1) noble; urgency=medium

  * fix(propagator): touch folder paths if permissions changed

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 21 May 2025 15:13:13 +0200

nextcloud-desktop (3.16.4-20250520.172553.012a6fc7d-1.0~noble1) noble; urgency=medium

  * fix(filesystem): only change folder permissions if required

 -- Jyrki Gadinger <nilsding@nilsding.org>  Tue, 20 May 2025 19:25:53 +0200

nextcloud-desktop (3.16.4-20250602.122713.c28d0baf9-1.0~noble1) noble; urgency=medium

  * Merge pull request #8327 from nextcloud/backport/8297/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 14:27:13 +0200

nextcloud-desktop (3.16.4-20250523.175341.34068fb2b-1.0~noble1) noble; urgency=medium

  * fix(permissions): handle properly CanRead permission from server

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 23 May 2025 19:53:41 +0200

nextcloud-desktop (3.16.4-20250602.112852.3db0f62b6-1.0~noble1) noble; urgency=medium

  * Merge pull request #8326 from nextcloud/backport/8246/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 13:28:52 +0200

nextcloud-desktop (3.16.4-20250507.215452.78d7523ff-1.0~noble1) noble; urgency=medium

  * fix(readonly): use native separator in paths before calling windows API

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 7 May 2025 23:54:52 +0200

nextcloud-desktop (3.16.4-20250602.112101.f64a42ac7-1.0~noble1) noble; urgency=medium

  * Merge pull request #8322 from nextcloud/backport/8321/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 13:21:01 +0200

nextcloud-desktop (3.16.4-20250602.085757.97ddd7134-1.0~noble1) noble; urgency=medium

  * fix(windows): when deleting a file use safe long windows path

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 10:57:57 +0200

nextcloud-desktop (3.16.4-20250530.155304.2fcaf2644-1.0~noble1) noble; urgency=medium

  * fix(readonly): avoid changing permissions when not needed

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 30 May 2025 17:53:04 +0200

nextcloud-desktop (3.16.4-20250528.151446.2d9e9a007-1.0~noble1) noble; urgency=medium

  * fix(readonly): avoid implicit hydration when modifying permissions

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 28 May 2025 17:14:46 +0200

nextcloud-desktop (3.16.4-20250602.105833.d9094c96e-1.0~noble1) noble; urgency=medium

  * Merge pull request #8325 from nextcloud/backport/8243/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 12:58:33 +0200

nextcloud-desktop (3.16.4-20250507.144903.4ac2fc4a9-1.0~noble1) noble; urgency=medium

  * fix(readonly): apply ACL also to files inside read-only folders

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 7 May 2025 16:49:03 +0200

nextcloud-desktop (3.16.4-20250602.105057.ef3204aec-1.0~noble1) noble; urgency=medium

  * Merge pull request #8324 from nextcloud/backport/8241/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 12:50:57 +0200

nextcloud-desktop (3.16.4-20250507.123743.985a0a766-1.0~noble1) noble; urgency=medium

  * fix(readonly): enable MOVE rollback when folder is read-only

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 7 May 2025 14:37:43 +0200

nextcloud-desktop (3.16.4-20250602.103757.39d0868a1-1.0~noble1) noble; urgency=medium

  * Merge pull request #8323 from nextcloud/backport/8240/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 2 Jun 2025 12:37:57 +0200

nextcloud-desktop (3.16.4-20250505.164035.dfa6a6335-1.0~noble1) noble; urgency=medium

  * fix(rename): avoid failing hard when rename is rejected by server

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 5 May 2025 18:40:35 +0200

nextcloud-desktop (3.16.4-20250601.025740.aec161fb7-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 1 Jun 2025 02:57:40 +0000

nextcloud-desktop (3.16.4-20250531.025817.66887eab1-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 31 May 2025 02:58:17 +0000

nextcloud-desktop (3.16.4-20250509.130725.1c91dc160-1.0~noble1) noble; urgency=medium

  * feat(windows): use cmake to configure windows integration DLL version

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 9 May 2025 15:07:25 +0200

nextcloud-desktop (3.16.4-20250530.082551.abe65bec0-1.0~noble1) noble; urgency=medium



=== debian/control ===
Source: nextcloud-desktop
Section: net
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Alf Gaida <agaida@siduction.org>
Build-Depends: appstream,
               cmake (>= 3.2~),
               debhelper-compat (= 12),
               dh-apparmor,
               dh-python,
               doxygen,
               extra-cmake-modules (>= 1.2.0~),
               inkscape,
               libcloudproviders-dev,
               libcmocka-dev,
               libdbus-1-dev,
               libinotify-dev [kfreebsd-any],
               libkf5kio-dev (>= 5.16.0~),
               libp11-dev,
               libqt6opengl6-dev,
               libgl-dev,
               libqt6svg6-dev,
               libqt6websockets6-dev,
               libsqlite3-dev (>= 3.8.0~),
               libssl-dev (>= 1.1~),
               pkg-config,
               python3-all,
               python3-sphinx,
               qtkeychain-qt6-dev,
               qt6-base-dev (>= 6.4~),
               qt6-tools-dev,
               qt6-tools-dev-tools,
               qt6-webengine-dev (>= 6.4~),
               qt6-webengine-dev-tools,
               qt6-base-private-dev,
               qt6-l10n-tools,
               libqt6core5compat6-dev,
               texlive-latex-base,
               zlib1g-dev,
               xauth,
               xvfb,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://nextcloud.com/install/#install-clients
Vcs-Browser: https://salsa.debian.org/owncloud-team/nextcloud-desktop
Vcs-Git: https://salsa.debian.org/owncloud-team/nextcloud-desktop.git

Package: nextcloud-desktop
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: libnextcloudsync0 (= ${binary:Version}),
         libqt6sql6-sqlite,
         libqt6webenginecore6-bin,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         qml6-module-qtqml-models,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-dialogs,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtmultimedia,
         qt6-qpa-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nextcloud-client (<< ${binary:Version})
Recommends: nextcloud-desktop-doc
Suggests: dolphin-nextcloud, nautilus-nextcloud, nemo-nextcloud, caja-nextcloud
Description: Nextcloud folder synchronization tool
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 nextcloud-desktop provides the graphical client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: nextcloud-desktop-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: Nextcloud folder synchronization - documentation
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the documentation.

Package: libnextcloudsync0
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: Nextcloud folder synchronization - libraries
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the library for nextcloud-desktop.

Package: libnextcloudsync-dev
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Multi-Arch: same
Depends: libnextcloudsync0 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: Nextcloud folder synchronization - development files
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package contains the library development files.

Package: nextcloud-desktop-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libnextcloudsync0 (<< ${binary:Version}), nextcloud-client (<< ${binary:Version})
Description: Nextcloud folder synchronization - common data
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides data that is shared between different packages.

Package: nextcloud-desktop-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: nextcloud-client-l10n (<< ${binary:Version})
Section: localization
Description: Nextcloud folder synchronization - localization
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the localization.

Package: nextcloud-desktop-cmd
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: libnextcloudsync0 (= ${binary:Version}),
         libqt6sql6-sqlite,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nextcloud-client (<< ${binary:Version})
Description: folder synchronization with an Nextcloud server - cmd client
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the command line client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: dolphin-nextcloud
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Multi-Arch: same
Section: kde
Depends: dolphin (>= 4:15.12.1),
         libnextcloudsync0 (= ${binary:Version}),
         nextcloud-desktop,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nextcloud-client-dolphin (<< ${binary:Version})
Enhances: dolphin
Description: Nextcloud integration for Dolphin
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Dolphin Nextcloud is an extension that integrates the Nextcloud web service
 with your Plasma Desktop (KDE).

Package: nautilus-nextcloud
Architecture: all
Section: gnome
Depends: nautilus,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-nautilus,
         ${misc:Depends},
         ${python3:Depends}
Suggests: nautilus-script-manager
Replaces: nextcloud-client-nautilus (<< ${binary:Version})
Enhances: nautilus
Description: Nextcloud integration for Nautilus
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nautilus Nextcloud is an extension that integrates the Nextcloud web service
 with your GNOME Desktop.

Package: nemo-nextcloud
Architecture: all
Depends: nemo,
         nemo-python | python-nemo,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         ${misc:Depends},
         ${python3:Depends}
Replaces: nextcloud-client-nemo (<< ${binary:Version})
Enhances: nemo
Description: Nextcloud integration for Nemo
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nemo Nextcloud is an extension that integrates the Nextcloud web service with
 your Cinnamon Desktop.

Package: caja-nextcloud
Architecture: all
Depends: caja,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-caja,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Replaces: nextcloud-client-caja (<< ${binary:Version})
Enhances: caja
Description: Nextcloud integration for Caja
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Caja Nextcloud is an extension that integrates the Nextcloud web service with
 your MATE Desktop.

Package: nextcloud-client
Section: oldlibs
Priority: optional
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: nextcloud-desktop (= ${binary:Version}), nextcloud-desktop-cmd (= ${binary:Version}),  nextcloud-desktop-doc (= ${source:Version}), ${misc:Depends}
Description: Nextcloud folder synchronization tool (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-l10n
Section: oldlibs
Priority: optional
Architecture: all
Depends: nextcloud-desktop-l10n (= ${binary:Version}), ${misc:Depends}
Description: Nextcloud folder synchronization - localization (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-caja
Section: oldlibs
Priority: optional
Architecture: all
Depends: caja-nextcloud (= ${binary:Version}), ${misc:Depends}
Description: Nextcloud integration for Caja (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-dolphin
Section: oldlibs
Priority: optional
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: dolphin-nextcloud (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --with sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DQUICK_COMPILER=ON \
		-DUNIT_TESTING=ON \
		-DEXTERNAL_VERSION=$(DEB_VERSION) \
		-DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_GNU_TYPE)/qt6/plugins \
		-DBUILD_UPDATER=OFF

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/config
	- LC_ALL=C.UTF-8 XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config xvfb-run -a \
	       -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	       -- dh_auto_test --no-parallel
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config
else
	@echo "** tests disabled"
endif

override_dh_auto_test-indep:

override_dh_auto_build-indep:
	dh_auto_build -- -C shell_integration/nautilus
	dh_auto_build -- doc-html
	dh_auto_build # unfortunatelly we don't get icons and translations otherwise.

override_dh_auto_build-arch:
	dh_auto_build -- doc-man
	dh_auto_build --

override_dh_missing:
	$(RM) debian/tmp/usr/share/doc/client/nextcloud-client/html/unthemed/.buildinfo
	dh_missing --fail-missing

override_dh_python3-arch:

override_dh_python3:
	dh_python3 -i -p nautilus-owncloud usr/share/nautilus-python/extensions
	dh_python3 -i -p nemo-owncloud usr/share/nemo-python/extensions
	dh_python3 -i -p caja-owncloud usr/share/caja-python/extensions

override_dh_install:
	dh_install
	dh_apparmor --profile-name nextcloud

## nextcloud-desktop 3.16.6

=== admin/CMakeLists.txt ===
if(APPLE)
    # traverse into osx subdirectory to install and patch the create-pack script
    add_subdirectory(osx)
elseif(WIN32)
    # MSI package scripts, helper DLL and migration tools
    add_subdirectory(win)
endif()

=== doc/CMakeLists.txt ===
if(SPHINX_FOUND)

    # Sphinx cache with pickled ReST documents
    set(SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")
    # HTML output directory
    set(SPHINX_HTML_DIR     "${CMAKE_CURRENT_BINARY_DIR}/html")
    set(SPHINX_PDF_DIR      "${CMAKE_CURRENT_BINARY_DIR}/latex")
    set(SPHINX_QCH_DIR      "${CMAKE_CURRENT_BINARY_DIR}/qthelp")
    set(SPHINX_HTMLHELP_DIR "${CMAKE_CURRENT_BINARY_DIR}/htmlhelp")
    set(MSHTML_COMPILER     wine 'C:\\Program Files\\HTML Help Workshop\\hhc.exe')
    # assets
    set(LATEX_LOGO          "${CMAKE_CURRENT_SOURCE_DIR}/logo-blue.pdf")

    set(APPLICATION_DOC_DIR "${CMAKE_INSTALL_DOCDIR}/${PACKAGE}")
    install(DIRECTORY ${SPHINX_HTML_DIR} DESTINATION ${APPLICATION_DOC_DIR} OPTIONAL)
    install(DIRECTORY ${SPHINX_PDF_DIR} DESTINATION ${APPLICATION_DOC_DIR} OPTIONAL)
    install(DIRECTORY ${SPHINX_QCH_DIR} DESTINATION ${APPLICATION_DOC_DIR} OPTIONAL)

    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/conf.py" conf.py COPYONLY)

    if(WITH_DOC)
       add_custom_target(doc ALL DEPENDS doc-html COMMENT "Building documentation...")
    else(WITH_DOC)
       add_custom_target(doc DEPENDS doc-html COMMENT "Building documentation...")
    endif(WITH_DOC)

    if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/ocdoc/_shared_assets")
       add_dependencies(doc doc-html-org)
       add_dependencies(doc doc-html-com)
    endif()

    if(PDFLATEX_FOUND)
        # if this still fails on Debian/Ubuntu, run
        # apt-get install texlive-latex-recommended texlive-latex-extra texlive-fonts-recommended
        add_custom_target(doc-latex  ${SPHINX_EXECUTABLE}
		                     -q -c . -b latex
				     -d ${SPHINX_CACHE_DIR}/latex
				     -D latex_logo=${LATEX_LOGO}
				     ${CMAKE_CURRENT_SOURCE_DIR}
				     ${SPHINX_PDF_DIR} )

        set(MAKE "make" CACHE FILEPATH "make to be used for documentation generation if not using make as generator anyway")
        if(CMAKE_GENERATOR MATCHES "Makefiles")
            set(MAKE "$(MAKE)")
        endif()

        add_custom_target(doc-pdf ${MAKE} -C ${SPHINX_PDF_DIR} all-pdf
		                  DEPENDS doc-latex )
        add_dependencies(doc doc-pdf)
    endif(PDFLATEX_FOUND)
    if (EXISTS ${QT_QCOLLECTIONGENERATOR_EXECUTABLE})
        add_custom_target( doc-qch-sphinx ${SPHINX_EXECUTABLE}
		                          -q -c . -b qthelp
				          -d ${SPHINX_CACHE_DIR}/qthelp
					  ${CMAKE_CURRENT_SOURCE_DIR}
					  ${SPHINX_QCH_DIR} )
        add_custom_target( doc-qch ${QT_QCOLLECTIONGENERATOR_EXECUTABLE}
		                   ${SPHINX_QCH_DIR}/*.qhcp
				   DEPENDS doc-qch-sphinx )
        add_dependencies(doc doc-qch)
    endif()
    add_custom_target( doc-html ${SPHINX_EXECUTABLE}
	                        -q -c . -b html
				-d ${SPHINX_CACHE_DIR}/html
				${CMAKE_CURRENT_SOURCE_DIR}
				${SPHINX_HTML_DIR}/unthemed )
    add_custom_target( doc-html-org ${SPHINX_EXECUTABLE}
	                        -q -c . -b html
				-d ${SPHINX_CACHE_DIR}/html
                                -D html_theme=owncloud_org
				${CMAKE_CURRENT_SOURCE_DIR}
				${SPHINX_HTML_DIR}/org )
    add_custom_target( doc-html-com ${SPHINX_EXECUTABLE}
	                        -q -c . -b html
				-d ${SPHINX_CACHE_DIR}/html
                                -D html_theme=owncloud_com
				${CMAKE_CURRENT_SOURCE_DIR}
				${SPHINX_HTML_DIR}/com )

    ## Building CHM files requires HTML Help Workshop. Since it requires wine
    ## with special dependencies, it's impossible to write a cmake check for it.
    ## This is why doc-chm is not a dependency for doc. Instead, run
    ## doc/scripts/htmlhelp.exe to install them and run this target
    ## explicitly.
    add_custom_target( doc-chm-sphinx  ${SPHINX_EXECUTABLE}
	                               -q -c . -b htmlhelp
	                               -D html_theme=basic
                                       -d ${SPHINX_CACHE_DIR}/htmlhelp
                                       ${CMAKE_CURRENT_SOURCE_DIR}
                                       ${SPHINX_HTMLHELP_DIR} )
    add_custom_target( doc-chm pushd ${SPHINX_HTMLHELP_DIR}; ${MSHTML_COMPILER} *.hhp; popd
				   DEPENDS doc-chm-sphinx )
endif(SPHINX_FOUND)

=== src/CMakeLists.txt ===
include(ECMEnableSanitizers)

set(REQUIRED_QT_VERSION "6.5.0")

find_package(Qt${QT_MAJOR_VERSION}Core ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}Core PROPERTIES
    DESCRIPTION "Qt${QT_MAJOR_VERSION} Core component."
    TYPE REQUIRED
)

find_package(Qt${QT_MAJOR_VERSION}Network ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}Network PROPERTIES
    DESCRIPTION "Qt${QT_MAJOR_VERSION} Network component."
    TYPE REQUIRED
)

find_package(Qt${QT_MAJOR_VERSION}Xml ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}Xml PROPERTIES
    DESCRIPTION "Qt${QT_MAJOR_VERSION} Xml component."
    TYPE REQUIRED
)

find_package(Qt${QT_MAJOR_VERSION}Concurrent ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}Concurrent PROPERTIES
    DESCRIPTION "Qt${QT_MAJOR_VERSION} Concurrent component."
    TYPE REQUIRED
)

find_package(Qt${QT_MAJOR_VERSION}QuickWidgets ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt${QT_MAJOR_VERSION}QuickWidgets PROPERTIES
    DESCRIPTION "Qt${QT_MAJOR_VERSION} QuickWidgets component."
    TYPE REQUIRED
)

find_package(Qt${QT_VERSION_MAJOR}Core5Compat ${REQUIRED_QT_VERSION} CONFIG QUIET)
 set_package_properties(Qt${QT_VERSION_MAJOR}Core5Compat PROPERTIES
     DESCRIPTION "Qt${QT_VERSION_MAJOR} Core5Compat component."
     TYPE REQUIRED
 )

get_target_property (QT_QMAKE_EXECUTABLE Qt::qmake IMPORTED_LOCATION)
message(STATUS "Using Qt ${Qt${QT_MAJOR_VERSION}Core_VERSION} (${QT_QMAKE_EXECUTABLE})")

if(NOT TOKEN_AUTH_ONLY)
    find_package(Qt${QT_MAJOR_VERSION}Keychain REQUIRED)
endif()

# TODO: Mingw64 7.3 might also need to be excluded here as it seems to not automatically link libssp
if(NOT MSVC)
  if(NOT (CMAKE_SYSTEM_PROCESSOR MATCHES "^(alpha|parisc|hppa)") AND NOT CMAKE_CROSSCOMPILING)
    if((CMAKE_CXX_COMPILER_ID MATCHES "GNU") AND (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9))
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector --param=ssp-buffer-size=4")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector --param=ssp-buffer-size=4")
    else()
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-strong")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong")
    endif()
  endif()

  string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
  if(CMAKE_BUILD_TYPE_LOWER MATCHES "(release|relwithdebinfo|minsizerel)" AND ((NOT ${CMAKE_C_FLAGS} MATCHES "FORTIFY_SOURCE=[3-9]") AND (NOT ${CMAKE_CXX_FLAGS} MATCHES "FORTIFY_SOURCE=[3-9]")))
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FORTIFY_SOURCE=2")
  endif()

  if (CMAKE_CXX_COMPILER MATCHES "Clang")
    # Calling Qt's qCWarning(category, ...) with no params for "..." is a GNU
    # extension (C++11 §16.3/4 forbids them). Silence clang's warnings.
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-gnu-zero-variadic-macro-arguments")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-gnu-zero-variadic-macro-arguments")
  endif()
endif()

if(WIN32)
  # Enable DEP, ASLR and CFG
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /nxcompat /dynamicbase /guard:cf")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /nxcompat /dynamicbase /guard:cf")

  # x86 only: Enable SafeSEH
  if(CMAKE_SYSTEM_PROCESSOR MATCHES "i686.*|i386.*|x86.*")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /safeseh")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /safeseh")
  endif()
elseif(UNIX AND NOT APPLE)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,relro -Wl,-z,now")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,relro -Wl,-z,now")
elseif(APPLE)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-ld_classic")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-ld_classic")
endif()

set(QML_IMPORT_PATH ${CMAKE_SOURCE_DIR}/theme CACHE STRING "" FORCE)

add_subdirectory(csync)
add_subdirectory(libsync)
if (NOT BUILD_LIBRARIES_ONLY)
    add_subdirectory(cmd)
    if (BUILD_GUI)
        add_subdirectory(gui)
    endif()

    if (WITH_CRASHREPORTER)
        add_subdirectory(3rdparty/libcrashreporter-qt)
        add_subdirectory(crashreporter)
    endif()
endif(NOT BUILD_LIBRARIES_ONLY)

=== shell_integration/libcloudproviders/CMakeLists.txt ===
macro(dbus_add_activation_service _sources)
if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.28.0") 
    pkg_get_variable(_install_dir dbus-1 session_bus_services_dir DEFINE_VARIABLES datadir=${CMAKE_INSTALL_DATADIR})
else()
    pkg_get_variable(_install_dir dbus-1 session_bus_services_dir)
endif()
    foreach (_i ${_sources})
        get_filename_component(_service_file ${_i} ABSOLUTE)
        string(REGEX REPLACE "\\.service.*$" ".service" _output_file ${_i})
        set(_target ${CMAKE_CURRENT_BINARY_DIR}/${_output_file})
        configure_file(${_service_file} ${_target})
        install(FILES ${_target} DESTINATION ${_install_dir} RENAME "${LIBCLOUDPROVIDERS_DBUS_BUS_NAME}.service")
    endforeach (_i ${ARGN})
endmacro(dbus_add_activation_service _sources)

macro(libcloudproviders_add_config _sources)
    set(_install_dir "${CMAKE_INSTALL_PREFIX}/share/cloud-providers")
    foreach (_i ${_sources})
        get_filename_component(_service_file ${_i} ABSOLUTE)
        string(REGEX REPLACE "\\.ini.*$" ".ini" _output_file ${_i})
        set(_target ${CMAKE_CURRENT_BINARY_DIR}/${_output_file})
        configure_file(${_service_file} ${_target})
        install(FILES ${_target} DESTINATION ${_install_dir} RENAME "${LIBCLOUDPROVIDERS_DBUS_BUS_NAME}.ini")
    endforeach (_i ${ARGN})
endmacro(libcloudproviders_add_config _sources)


if (Qt6_FOUND)
    find_package(Qt6 COMPONENTS COMPONENTS DBus)
else()
    set(REQUIRED_QT_VERSION "5.15.0")
    find_package(Qt5 ${REQUIRED_QT_VERSION} COMPONENTS DBus)
endif()
IF (Qt5DBus_FOUND OR Qt6DBus_FOUND)
    STRING(TOLOWER "${APPLICATION_VENDOR}" DBUS_VENDOR)
    STRING(REGEX REPLACE "[^A-z0-9]" "" DBUS_VENDOR "${DBUS_VENDOR}")
    STRING(REGEX REPLACE "[^A-z0-9]" "" DBUS_APPLICATION_NAME "${APPLICATION_SHORTNAME}")
    if (NOT DBUS_PREFIX)
        set(DBUS_PREFIX "com")
    endif ()

    set(LIBCLOUDPROVIDERS_DBUS_BUS_NAME "${DBUS_PREFIX}.${DBUS_VENDOR}.${DBUS_APPLICATION_NAME}")
    set(LIBCLOUDPROVIDERS_DBUS_OBJECT_PATH "/${DBUS_PREFIX}/${DBUS_VENDOR}/${DBUS_APPLICATION_NAME}")

    dbus_add_activation_service(org.freedesktop.CloudProviders.service.in)
    # The .ini file has been replaced by a declaration in the .desktop file in 0.3.3+
    if (${CLOUDPROVIDERS_VERSION} VERSION_LESS "0.3.3")
        libcloudproviders_add_config(org.freedesktop.CloudProviders.ini.in)
    endif ()
ENDIF ()

=== admin/win/tools/NCNavRemove/CMakeLists.txt ===
project(NCNavRemove)

set(MUTEX_NAME "NCNavRemove")

configure_file(NavRemoveConstants.h.in ${CMAKE_CURRENT_BINARY_DIR}/NavRemoveConstants.h)
configure_file(NavRemove.ini.in ${CMAKE_CURRENT_BINARY_DIR}/NavRemove.ini)
configure_file(version.rc.in ${CMAKE_CURRENT_BINARY_DIR}/version.rc)

add_subdirectory(dll)
add_subdirectory(exe)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/NavRemove.ini
    DESTINATION tools/NCNavRemove/
)

=== admin/win/tools/NCToolsShared/CMakeLists.txt ===
add_library(NCToolsShared STATIC
    utility_win.cpp
    SimpleNamedMutex.cpp
)

=== debian/changelog ===
nextcloud-desktop (3.16.6-3) unstable; urgency=medium

  * Release to unstable (#1091614 is fixed).

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Jul 2025 14:55:49 +0200

nextcloud-desktop (3.16.6-2) experimental; urgency=medium

  * Fix again "nextcloud enters busy loop when using a share on NTFS."
    (Closes: 1091614)

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Jul 2025 12:54:15 +0200

nextcloud-desktop (3.16.6-1) experimental; urgency=medium

  * New upstream release.
  * Update patch hunks.
  * Remove patch for #1091614, it seems fixed on upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Jul 2025 20:21:07 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/pkg-info.mk

webengine_archs := amd64 arm64 armhf i386
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH),$(webengine_archs)))
BUILD_WEBENGINE := ON
else
BUILD_WEBENGINE := OFF
endif

CONFIGURE_OPTIONS := -DCMAKE_INSTALL_PREFIX=/usr \
	-DBUILD_UPDATER=OFF \
	-DPLUGINDIR=/usr/lib/$(DEB_HOST_GNU_TYPE)/qt6/plugins \
	-DEXTERNAL_VERSION=$(DEB_VERSION)

%:
	dh $@

override_dh_auto_configure:
ifeq (-i,$(findstring -i, $(DH_INTERNAL_OPTIONS)))
	@echo " -- Configure for arch all only build --"
	dh_auto_configure -- \
		-DBUILD_TESTING=OFF \
		-DBUILD_SHELL_INTEGRATION_DOLPHIN=OFF \
		-DBUILD_WITH_WEBENGINE=OFF \
		$(CONFIGURE_OPTIONS)
else
	dh_auto_configure -- \
		-DUNIT_TESTING=ON \
		-DBUILD_WITH_WEBENGINE=$(BUILD_WEBENGINE) \
		$(CONFIGURE_OPTIONS)
endif
execute_before_dh_auto_build-arch:
	dh_auto_build -- doc-man
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI.cpp.*"
	#tests are not built with all hardening, to debug stuff more easily
	@echo "blhc: ignore-line-regexp: .*Test.dir/.*"
	@echo "blhc: ignore-line-regexp: .*/check_.*.dir/.*"
	@echo "blhc: ignore-line-regexp: .*/test/csync/torture_.*"
	@echo "blhc: ignore-line-regexp: .*/test/.*"
	@echo "blhc: ignore-line-regexp: .*/LargeSyncBench\.dir/.*"

# unfortunately icons and translations are installed only together with the gui, so we need to run dh_auto_build
execute_before_dh_auto_build-indep:
	dh_auto_build -- doc-html
	dh_auto_build -- -C shell_integration/nautilus

override_dh_auto_test-arch:
	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/config
	- LC_ALL=C.UTF-8 XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config xvfb-run -a \
	       -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	       -- dh_auto_test --no-parallel
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config

override_dh_auto_test-indep:

execute_after_dh_sphinxdoc:
	$(RM) -v debian/tmp/usr/share/doc/client/nextcloud-client/html/unthemed/.buildinfo

execute_after_dh_link-indep:
	jdupes -rl debian/nextcloud-desktop-doc/usr

## nextcloud-desktop 3.16.6-20250619.170704.957b27497-1.0~jammy1+11.0trisquel4

=== debian/changelog ===
nextcloud-desktop (3.16.6-20250619.170704.957b27497-1.0~jammy1+11.0trisquel4) aramo-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 19 Jun 2025 20:03:09 +0000

nextcloud-desktop (3.16.6-20250619.170704.957b27497-1.0~jammy1) jammy; urgency=medium

  * Merge tag 'v3.16.6' into HEAD

 -- Drone User <drone@noemail.invalid>  Thu, 19 Jun 2025 17:07:13 +0000

nextcloud-desktop (3.16.6-20250618.205735.957b27497-1.0~jammy1) jammy; urgency=medium

  * fix(logs): remove not so useful logs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 22:57:35 +0200

nextcloud-desktop (3.16.6-20250618.204041.8bffbbd9e-1.0~jammy1) jammy; urgency=medium

  * fix(logs): remove useless logs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 22:40:41 +0200

nextcloud-desktop (3.16.6-20250618.150006.f1073c289-1.0~jammy1) jammy; urgency=medium

  * chore: prepare for 3.16.6 release

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 17:00:06 +0200

nextcloud-desktop (3.16.5-20250618.145301.77ce60a5a-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8382 from nextcloud/backport/8370/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 16:53:01 +0200

nextcloud-desktop (3.16.5-20250612.121641.1823845ba-1.0~jammy1) jammy; urgency=medium

  * fix(readonly): better handling of ACL on read-only files on windows

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 12 Jun 2025 14:16:41 +0200

nextcloud-desktop (3.16.5-20250618.082412.adb7d350e-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8381 from nextcloud/backport/8356/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 18 Jun 2025 10:24:12 +0200

nextcloud-desktop (3.16.5-20250606.095839.d5c980689-1.0~jammy1) jammy; urgency=medium

  * fix(crash): debug builds would not try to remove a not found job

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 6 Jun 2025 11:58:39 +0200

nextcloud-desktop (3.16.5-20250618.070840.b76fff313-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8380 from nextcloud/backport/8379/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 18 Jun 2025 09:08:40 +0200

nextcloud-desktop (3.16.5-20250618.055833.fdeb71866-1.0~jammy1) jammy; urgency=medium

  * style: access static members through `::`

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 18 Jun 2025 07:58:33 +0200

nextcloud-desktop (3.16.5-20250617.102940.fc19ab257-1.0~jammy1) jammy; urgency=medium

  * fix(accountmanager): use defaults from configFile if setting was not present

 -- Jyrki Gadinger <nilsding@nilsding.org>  Tue, 17 Jun 2025 12:29:40 +0200

nextcloud-desktop (3.16.5-20250617.030013.7cac072b6-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 17 Jun 2025 03:00:13 +0000

nextcloud-desktop (3.16.5-20250616.134149.d8c757920-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8378 from nextcloud/backport/8375/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 16 Jun 2025 15:41:49 +0200

nextcloud-desktop (3.16.5-20250616.080938.d28668102-1.0~jammy1) jammy; urgency=medium

  * fix(activitylistmodel): fix activities for e2ee files

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 16 Jun 2025 10:09:38 +0200

nextcloud-desktop (3.16.5-20250614.030051.2ce95642d-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 14 Jun 2025 03:00:51 +0000

nextcloud-desktop (3.16.5-20250613.025822.3dcc0b89e-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 13 Jun 2025 02:58:22 +0000

nextcloud-desktop (3.16.5-20250611.030129.fbddab54c-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 11 Jun 2025 03:01:29 +0000

nextcloud-desktop (3.16.5-20250610.025934.e1a973cf0-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 10 Jun 2025 02:59:34 +0000

nextcloud-desktop (3.16.5-20250608.025855.bae7e104d-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 8 Jun 2025 02:58:55 +0000

nextcloud-desktop (3.16.5-20250607.025725.d91dde543-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 7 Jun 2025 02:57:25 +0000

nextcloud-desktop (3.16.5-20250606.030608.6c866d2de-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 6 Jun 2025 03:06:08 +0000

nextcloud-desktop (3.16.5-20250605.030136.59eeda8ae-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 5 Jun 2025 03:01:36 +0000

nextcloud-desktop (3.16.5-20250604.091949.12e31fad4-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8348 from nextcloud/backport/8347/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 4 Jun 2025 11:19:49 +0200

nextcloud-desktop (3.16.5-20250604.082015.c2b918057-1.0~jammy1) jammy; urgency=medium

  * fix(msi): set the REBOOT property in the MSI

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 4 Jun 2025 10:20:15 +0200

nextcloud-desktop (3.16.5-20250604.085452.67bb97b13-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8346 from nextcloud/backport/8220/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 4 Jun 2025 10:54:52 +0200

nextcloud-desktop (3.16.5-20250429.045753.9c54b74af-1.0~jammy1) jammy; urgency=medium

  * feat(mac-crafter): Use our default entitlements file during default mac-crafter build run



## nextcloud-desktop 3.16.6-20250619.170704.957b27497-1.0~noble1trisquel4

=== debian/changelog ===
nextcloud-desktop (3.16.6-20250619.170704.957b27497-1.0~noble1trisquel4) ecne-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 19 Jun 2025 20:03:53 +0000

nextcloud-desktop (3.16.6-20250619.170704.957b27497-1.0~noble1) noble; urgency=medium

  * Merge tag 'v3.16.6' into HEAD

 -- Drone User <drone@noemail.invalid>  Thu, 19 Jun 2025 17:07:27 +0000

nextcloud-desktop (3.16.6-20250618.205735.957b27497-1.0~noble1) noble; urgency=medium

  * fix(logs): remove not so useful logs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 22:57:35 +0200

nextcloud-desktop (3.16.6-20250618.204041.8bffbbd9e-1.0~noble1) noble; urgency=medium

  * fix(logs): remove useless logs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 22:40:41 +0200

nextcloud-desktop (3.16.6-20250618.150006.f1073c289-1.0~noble1) noble; urgency=medium

  * chore: prepare for 3.16.6 release

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 17:00:06 +0200

nextcloud-desktop (3.16.5-20250618.145301.77ce60a5a-1.0~noble1) noble; urgency=medium

  * Merge pull request #8382 from nextcloud/backport/8370/stable-3.16

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Wed, 18 Jun 2025 16:53:01 +0200

nextcloud-desktop (3.16.5-20250612.121641.1823845ba-1.0~noble1) noble; urgency=medium

  * fix(readonly): better handling of ACL on read-only files on windows

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 12 Jun 2025 14:16:41 +0200

nextcloud-desktop (3.16.5-20250618.082412.adb7d350e-1.0~noble1) noble; urgency=medium

  * Merge pull request #8381 from nextcloud/backport/8356/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 18 Jun 2025 10:24:12 +0200

nextcloud-desktop (3.16.5-20250606.095839.d5c980689-1.0~noble1) noble; urgency=medium

  * fix(crash): debug builds would not try to remove a not found job

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 6 Jun 2025 11:58:39 +0200

nextcloud-desktop (3.16.5-20250618.070840.b76fff313-1.0~noble1) noble; urgency=medium

  * Merge pull request #8380 from nextcloud/backport/8379/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 18 Jun 2025 09:08:40 +0200

nextcloud-desktop (3.16.5-20250618.055833.fdeb71866-1.0~noble1) noble; urgency=medium

  * style: access static members through `::`

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 18 Jun 2025 07:58:33 +0200

nextcloud-desktop (3.16.5-20250617.102940.fc19ab257-1.0~noble1) noble; urgency=medium

  * fix(accountmanager): use defaults from configFile if setting was not present

 -- Jyrki Gadinger <nilsding@nilsding.org>  Tue, 17 Jun 2025 12:29:40 +0200

nextcloud-desktop (3.16.5-20250617.030013.7cac072b6-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 17 Jun 2025 03:00:13 +0000

nextcloud-desktop (3.16.5-20250616.134149.d8c757920-1.0~noble1) noble; urgency=medium

  * Merge pull request #8378 from nextcloud/backport/8375/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 16 Jun 2025 15:41:49 +0200

nextcloud-desktop (3.16.5-20250616.080938.d28668102-1.0~noble1) noble; urgency=medium

  * fix(activitylistmodel): fix activities for e2ee files

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 16 Jun 2025 10:09:38 +0200

nextcloud-desktop (3.16.5-20250614.030051.2ce95642d-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 14 Jun 2025 03:00:51 +0000

nextcloud-desktop (3.16.5-20250613.025822.3dcc0b89e-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 13 Jun 2025 02:58:22 +0000

nextcloud-desktop (3.16.5-20250611.030129.fbddab54c-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 11 Jun 2025 03:01:29 +0000

nextcloud-desktop (3.16.5-20250610.025934.e1a973cf0-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 10 Jun 2025 02:59:34 +0000

nextcloud-desktop (3.16.5-20250608.025855.bae7e104d-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 8 Jun 2025 02:58:55 +0000

nextcloud-desktop (3.16.5-20250607.025725.d91dde543-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 7 Jun 2025 02:57:25 +0000

nextcloud-desktop (3.16.5-20250606.030608.6c866d2de-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 6 Jun 2025 03:06:08 +0000

nextcloud-desktop (3.16.5-20250605.030136.59eeda8ae-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 5 Jun 2025 03:01:36 +0000

nextcloud-desktop (3.16.5-20250604.091949.12e31fad4-1.0~noble1) noble; urgency=medium

  * Merge pull request #8348 from nextcloud/backport/8347/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 4 Jun 2025 11:19:49 +0200

nextcloud-desktop (3.16.5-20250604.082015.c2b918057-1.0~noble1) noble; urgency=medium

  * fix(msi): set the REBOOT property in the MSI

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 4 Jun 2025 10:20:15 +0200

nextcloud-desktop (3.16.5-20250604.085452.67bb97b13-1.0~noble1) noble; urgency=medium

  * Merge pull request #8346 from nextcloud/backport/8220/stable-3.16

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 4 Jun 2025 10:54:52 +0200

nextcloud-desktop (3.16.5-20250429.045753.9c54b74af-1.0~noble1) noble; urgency=medium

  * feat(mac-crafter): Use our default entitlements file during default mac-crafter build run
